انجمن‌های فارسی اوبونتو

لطفاً به انجمن‌ها وارد شده و یا جهت ورود ثبت‌نام نمائید

لطفاً جهت ورود نام کاربری و رمز عبورتان را وارد نمائید

اوبونتو ۲۰٫۱۰ منتشر شد.
انتظار می‌ره همهٔ اعضا هرچه زودتر به این نگارش ارتقا پیدا کنند. همهٔ پاسخ‌ها از این به بعد، بر پایهٔ اوبونتو ۲۰٫۱۰ خواهد بود.

نویسنده موضوع: Cannot mix incompatible Qt library  (دفعات بازدید: 994 بار)

0 کاربر و 1 مهمان درحال مشاهده موضوع.

آفلاین سید وحید رضا برهانی

  • High Hero Member
  • *
  • ارسال: 1594
  • جنسیت : پسر
  • یک مخالف نرم افزار اوپن سورس
Cannot mix incompatible Qt library
« : 08 دی 1396، 10:31 ق‌ظ »
سلام
من دیروز qt رو آپدیت کردم (ارچ دارم) و بعد از آپدیتت دیگه kde بالا نیومد و این خطای زیر رو می ده البته مشکل از qt هست نه خود kde چون هر برنامه ای که به نحوی با کیوت رابطه داره اجرا نمی شه البته به غیر از sddm .
Cannot mix incompatible Qt library (version 0x50903) with this library (version 0x50a00)

ویکی آرچ یک چیزهایی نوشته بود :
https://wiki.archlinux.org/index.php/Qt#All_Qt5-based_applications_fail_to_run_after_Qt5_update

ظاهرا باید یک چیزی رو دوباره کامپایل کنم ولی منظورش رو نفهمیدم که چی رو باید دوباره کامپایل کنم. من یک برنامه (برای تست)که با کیوت نوشته شده بود و همچنین بسته ی qt5-styleplugins و qt5ct رو دوباره کامبایل کردم ولی تغییری ایجاد نشد.
« آخرین ویرایش: 08 دی 1396، 10:47 ق‌ظ توسط سید وحید رضا برهانی »
نرم افزاری که نشه سیخ انگولکش کرد (به هر دلیلی چه به‌خاطر قانون و چه پیچیدگی یا توسعه سریع)نرم افزار آزاد نیست حالا مهم نیست چه بنیادی یا چه افرادی اون رو نوشته باشند یا GPL باشه یانه!
نرم افزار آزاد یک جنبش هست نه یک تیکه کاغذ پاره(GPL)
حق فهمیدن از حق خوندن مهمتره